/**
 * @typedef {object} lineHighlightOptions
 * @property {import("./number-range.js").NumberRange} highlightLinesRange
 * @property {import("./number-range.js").NumberRange} insertedLinesRange
 * @property {import("./number-range.js").NumberRange} deletedLinesRange
 */
/**
 * @param {lineHighlightOptions} options
 */
export function LineHighlightPlugin(options: lineHighlightOptions): (env: import("./prism-highlight.js").Env) => void;
/**
 * @typedef {object} WrapEnv
 * @property {string} type
 * @property {string} content
 * @property {Array<string>} classes
 * @property {Record<string, string>} attributes
 * @property {string} language
 */
/**
 * @example
 *   prism.hooks.add("wrap", LineHighlightWrapPlugin)
 */
export function LineHighlightWrapPlugin(): (env: WrapEnv) => void;
export type lineHighlightOptions = {
    highlightLinesRange: import("./number-range.js").NumberRange;
    insertedLinesRange: import("./number-range.js").NumberRange;
    deletedLinesRange: import("./number-range.js").NumberRange;
};
export type WrapEnv = {
    type: string;
    content: string;
    classes: Array<string>;
    attributes: Record<string, string>;
    language: string;
};
